Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.interceptors
Class BaseRpcInterceptor

    java.lang.Object
      org.jboss.cache.interceptors.Interceptor
          org.jboss.cache.interceptors.BaseRpcInterceptor

All Implemented Interfaces:
  InterceptorMBean

Direct Known Subclasses:
  DataGravitatorInterceptor, InvalidationInterceptor, OptimisticReplicationInterceptor, ReplicationInterceptor

    public abstract class BaseRpcInterceptor

extends Interceptor

Acts as a base for all RPC calls - subclassed by `ReplicationInterceptor` and `OptimisticReplicationInterceptor`.

Author:
  Manik Surtani (manik@jboss.org)

Constructor Summary
`BaseRpcInterceptor()`

Method Summary
`protected void` | `checkResponses(java.util.List rsps)` Checks whether any of the responses are exceptions.
`protected boolean` | `containsModifications(JBCMethodCall m)`
`protected void` | `putCallOnAsyncReplicationQueue(org.jgroups.blocks.MethodCall call)`
`protected void` | `replicateCall(JBCMethodCall call, boolean sync)`
`protected void` | `replicateCall(java.util.List recipients, JBCMethodCall call, boolean sync)`
`void` | `setCache(TreeCache cache)`

Methods inherited from class org.jboss.cache.interceptors.Interceptor
`dumpStatistics, getInvocationContext, getNext, getStatisticsEnabled, invoke, isActive, isBuddyGroupOrganisationMethod, isOnePhaseCommitPrepareMehod, isPreparing, isTransactionLifecycleMethod, isValid, resetStatistics, setInvocationContext, setNext, setStatisticsEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseRpcInterceptor

    public BaseRpcInterceptor()

Method Detail

### setCache

    public void setCache(TreeCache cache)

  Overrides:
    `setCache` in class `Interceptor`

### checkResponses

    protected void checkResponses(java.util.List rsps)
                           throws java.lang.Throwable

  Checks whether any of the responses are exceptions. If yes, re-throws them (as exceptions or runtime exceptions).

  Parameters:
    `rsps` -
  Throws:
    `java.lang.Throwable`

### replicateCall

    protected void replicateCall(JBCMethodCall call,
                                 boolean sync)
                          throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### replicateCall

    protected void replicateCall(java.util.List recipients,
                                 JBCMethodCall call,
                                 boolean sync)
                          throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### putCallOnAsyncReplicationQueue

    protected void putCallOnAsyncReplicationQueue(org.jgroups.blocks.MethodCall call)

### containsModifications

    protected boolean containsModifications(JBCMethodCall m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.